Last Comment Bug 391708 - [nsIDOMXULLabelElement::accessKey] errors in console at yahoo.com
: [nsIDOMXULLabelElement::accessKey] errors in console at yahoo.com
Status: RESOLVED FIXED
: qawanted, verified1.8.1.8
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Olli Pettay [:smaug] (high review load, please consider other reviewers)
:
Mentors:
Depends on:
Blocks: 387033
  Show dependency treegraph
 
Reported: 2007-08-10 10:41 PDT by Marcia Knous [:marcia - use ni]
Modified: 2007-09-30 16:04 PDT (History)
5 users (show)
dveditz: blocking1.8.1.8+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
possible patch (963 bytes, patch)
2007-08-14 12:37 PDT, Olli Pettay [:smaug] (high review load, please consider other reviewers)
jst: review+
jst: superreview+
jst: approval1.9+
Details | Diff | Review

Description Marcia Knous [:marcia - use ni] 2007-08-10 10:41:26 PDT
I am getting a number of these errors in the console today when I am visiting yahoo.com - haven't seen them previously and a bugzilla search yield nothing.

Error: [Exception... "'Permission denied to get property XULElement.accessKey' when calling method: [nsIDOMXULLabelElement::accessKey]"  nsresult: "0x8057001e (NS_ERROR_XPC_JS_THREW_STRING)"  location: "JS frame :: http://www.yahoo.com/ :: <TOP_LEVEL> :: line 15"  data: no]
Source File: http://www.yahoo.com/
Line: 15
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2007-08-10 11:50:10 PDT
Is this a regression from Bug 387033?
Comment 2 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2007-08-10 12:32:43 PDT
What are the steps to reproduce this? Or should visiting yahoo.com be enough (I don't get any errors)?
Comment 3 Marcia Knous [:marcia - use ni] 2007-08-10 12:38:43 PDT
smaug: My experience on the mac is I immediately get three of these errors when I simply visit yahoo.com. This happens using my existing profile or a new profile. I can check to see if it occurs on other platforms.
Comment 4 Ben Hearsum (:bhearsum) 2007-08-14 12:22:24 PDT
I can reproduce it.
Comment 5 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2007-08-14 12:37:36 PDT
Created attachment 276672 [details] [diff] [review]
possible patch

I'll still debug to see what is actually causing the error.
Comment 6 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2007-08-14 12:42:59 PDT
So it is just that script causes a flush. I think the patch is ok.

#0  nsTextBoxFrame::UpdateAccesskey (this=0x8dbe358, aWeakThis=@0x90cc074)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/layout/xul/base/src/nsTextBoxFrame.cpp:242
#1  0x02b639e4 in nsAsyncAccesskeyUpdate::ReflowFinished (this=0x90cc070)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/layout/xul/base/src/nsTextBoxFrame.cpp:224
#2  0x0295c52a in PresShell::HandlePostedReflowCallbacks (this=0x881af08) at /home/smaug/mozilla/mozilla_cvs/mozilla/layout/base/nsPresShell.cpp:4339
#3  0x02961587 in PresShell::DidDoReflow (this=0x881af08) at /home/smaug/mozilla/mozilla_cvs/mozilla/layout/base/nsPresShell.cpp:6018
#4  0x0296ea4b in PresShell::ProcessReflowCommands (this=0x881af08, aInterruptible=0)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/layout/base/nsPresShell.cpp:6211
#5  0x0296efd8 in PresShell::FlushPendingNotifications (this=0x881af08, aType=Flush_Layout)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/layout/base/nsPresShell.cpp:4405
#6  0x02be9e70 in nsDocument::FlushPendingNotifications (this=0x8423f40, aType=Flush_Layout)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/content/base/src/nsDocument.cpp:4840
#7  0x02e8d986 in nsGlobalWindow::FlushPendingNotifications (this=0x87394e8, aType=Flush_Layout)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/dom/src/base/nsGlobalWindow.cpp:7607
#8  0x02ea19e7 in nsGlobalWindow::EnsureSizeUpToDate (this=0x8e5fd68) at /home/smaug/mozilla/mozilla_cvs/mozilla/dom/src/base/nsGlobalWindow.cpp:7620
#9  0x02ec2888 in nsScreen::GetDeviceContext (this=0x8f97298) at /home/smaug/mozilla/mozilla_cvs/mozilla/dom/src/base/nsScreen.cpp:214
#10 0x02ec2cf5 in nsScreen::GetAvailRect (this=0x8f97298, aRect=@0xbfe73658) at /home/smaug/mozilla/mozilla_cvs/mozilla/dom/src/base/nsScreen.cpp:256
#11 0x02ec3057 in nsScreen::GetAvailWidth (this=0x8f97298, aAvailWidth=0xbfe73828)
    at /home/smaug/mozilla/mozilla_cvs/mozilla/dom/src/base/nsScreen.cpp:159
#12 0x0052d2b9 in NS_InvokeByIndex_P () at ../../../../dist/include/xpcom/nsISupportsImpl.h:205
#13 0x027ed05a in XPCWrappedNative::CallMethod (ccx=@0xbfe73968, mode=XPCWrappedNative::CALL_GETTER)
Comment 7 Johnny Stenback (:jst, jst@mozilla.com) 2007-08-16 14:35:26 PDT
Comment on attachment 276672 [details] [diff] [review]
possible patch

r+sr=jst, but it'd be good to add a comment explaining why this context pusher is needed here.
Comment 8 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2007-08-16 14:50:02 PDT
This is a regression from a 1.9+ blocker, so asking approval.
Comment 9 Daniel Veditz [:dveditz] 2007-09-24 11:58:15 PDT
qawanted: verify this doesn't regress on the 1.8 branch after bug 387033 lands
Comment 10 Carsten Book [:Tomcat] 2007-09-30 16:04:53 PDT
(In reply to comment #9)
> qawanted: verify this doesn't regress on the 1.8 branch after bug 387033 lands
> 

Patch from 387033 has landed. No error Message in the EC on yahoo.com 

verified fixed 1.8.1.8 using Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.8pre)Gecko/2007093003 BonEcho/2.0.0.8pre and Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.8pre) Gecko/20070929 BonEcho/2.0.0.8pre ID:2007092904

-> adding verified keyword



Note You need to log in before you can comment on or make changes to this bug.